public class GraphPoint3D {
    private int x;
    private int y;
    private int z;

    /******
     * 3D point constructor
     * @param x x-axis coordinate
     * @param y y-axis coordinate
     * @param z z-axis coordinate
     */
    public GraphPoint3D(int x, int y, int z){
        this.x = x;
        this.y = y;
        this.z = z;
    }

    /***
     * getter for x coordinate
     * @return x
     */
    public int getX() {
        return x;
    }

    /***
     * getter for y coordinate
     * @return y
     */
    public int getY() {
        return y;
    }

    /***
     * getter for z coordinate
     * @return z
     */
    public int getZ() { return z; }

    /***
     * x coordinate setter
     * @param x new x
     */
    public void setX(int x) { this.x = x; }

    /***
     * y coordinate setter
     * @param y new y
     */
    public void setY(int y) {
        this.y = y;
    }

    /***
     * z coordinate setter
     * @param z new z
     */
    public void setZ(int z) { this.z = z; }
}
